Subject: Re: [bug#31473] [PATCH] daemon: Allow building for armhf-linux on aarch64-linux.

From: Efraim Flashner <[email-masked]>
Date: Thu, 17 May 2018 11:27:07 +0000

On May 17, 2018 11:21:38 AM UTC, [email-masked] wrote:
>Hello Efraim,
>
>Efraim Flashner <[email-masked]> skribis:
>
>> * nix/libstore/build.cc (canBuildLocally): Allow building armhf-linux
>> builds on aarch64-linux.
>> (DerivationGoal::runChild) Throw error if attempting to build for
>> armhf-linux on an unsupported platform.
>> * doc/guix.texi (Invoking guix build): Document how to build natively
>> for armhf-linux on aarch64-linux.  Add note that on some aarch64
>> machines this is unsupported.
>
>Awesome!  If you’ve confirmed that it works for you, go for it.
>
>> +@quotation Note
>> +Building for an @code{armhf-linux} system is unconditionally enabled
>on
>> +@code{aarch64-linux} machines, although certain aarch64 chipsets do
>not
>> +allow for this functionality.
>> +@end quotation
>
>Perhaps we should list a couple of chipsets known to support this?
>Would it make sense?
>
>Thank you!
>
>Ludo’.

The ThunderX for sure, and I've heard the expressobin might not but I'm not sure. I didn't want to have an incomplete list. The closest I've heard for a way to check is to compile and run a program called all-arch, but it's harder on a source distro.

I could change it to "... not allow this functionality, notably the ThunderX."

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.